# Get All Live Messages

{% hint style="info" %}
How to obtain all live messages
{% endhint %}

{% tabs %}
{% tab title="Request" %}
`GET https://mburger.cloud/api/live-messages`

```bash
curl https://mburger.cloud/api/live-messages
-H "Accept: application/json" 
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
```

#### &#x20;Parameters

| Name         | Type | Required | Description                      |
| ------------ | ---- | -------- | -------------------------------- |
| skip         | int  | No       | Messages to skip for pagination. |
| take         | int  | No       | Messages to take for pagination. |
| {% endtab %} |      |          |                                  |

{% tab title="Response" %}
When successful, a HTTP 200 and JSON like this is returned:

```bash
{
  "status_code": 0,
  "body": [
    {
      "id": 1,
      "text": "Message 1",
      "sender_name": null,
      "created_at": 1549365553
    },
    {
      "id": 2,
      "text": "Message 2",
      "sender_name": "Mumble",
      "created_at": 1549365562
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/api-docs-1/integrations-extensions/misc/get-all-live-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
